# Interface methods for submodule: BinomialBlurImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BinomialBlurImageFilter
class BinomialBlurImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetRepetitions(self, _arg: int) -> None:
		""""""
		...

	def GetRepetitions(self) -> int:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

